# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'C:\cygwin\home\fotism\git\quantumsource-dev\prototypes\AddOns\FunWithGraphene\UI\BucklerWidget.ui'
#
# Created by: PyQt5 UI code generator 5.12.2
#
# WARNING! All changes made in this file will be lost!

from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_BucklerWidget(object):
    def setupUi(self, BucklerWidget):
        BucklerWidget.setObjectName("BucklerWidget")
        BucklerWidget.resize(336, 254)
        BucklerWidget.setStyleSheet("")
        self.verticalLayout = QtWidgets.QVBoxLayout(BucklerWidget)
        self.verticalLayout.setObjectName("verticalLayout")
        self.fractional_label = WordWrapLabel(BucklerWidget)
        font = QtGui.QFont()
        font.setPointSize(10)
        self.fractional_label.setFont(font)
        self.fractional_label.setReadOnly(True)
        self.fractional_label.setObjectName("fractional_label")
        self.verticalLayout.addWidget(self.fractional_label)
        self.formLayout = QtWidgets.QFormLayout()
        self.formLayout.setObjectName("formLayout")
        self.xlabel = QtWidgets.QLabel(BucklerWidget)
        self.xlabel.setObjectName("xlabel")
        self.formLayout.setWidget(0, QtWidgets.QFormLayout.LabelRole, self.xlabel)
        self.amplitude = QtWidgets.QDoubleSpinBox(BucklerWidget)
        self.amplitude.setSingleStep(0.1)
        self.amplitude.setProperty("value", 1.0)
        self.amplitude.setObjectName("amplitude")
        self.formLayout.setWidget(0, QtWidgets.QFormLayout.FieldRole, self.amplitude)
        self.ylabel = QtWidgets.QLabel(BucklerWidget)
        self.ylabel.setObjectName("ylabel")
        self.formLayout.setWidget(1, QtWidgets.QFormLayout.LabelRole, self.ylabel)
        self.nonbucklingzone = QtWidgets.QDoubleSpinBox(BucklerWidget)
        self.nonbucklingzone.setSingleStep(0.1)
        self.nonbucklingzone.setObjectName("nonbucklingzone")
        self.formLayout.setWidget(1, QtWidgets.QFormLayout.FieldRole, self.nonbucklingzone)
        self.label = QtWidgets.QLabel(BucklerWidget)
        self.label.setObjectName("label")
        self.formLayout.setWidget(2, QtWidgets.QFormLayout.LabelRole, self.label)
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.periods_y = QtWidgets.QSpinBox(BucklerWidget)
        self.periods_y.setMinimum(0)
        self.periods_y.setProperty("value", 1)
        self.periods_y.setObjectName("periods_y")
        self.horizontalLayout_3.addWidget(self.periods_y)
        self.periods_z = QtWidgets.QSpinBox(BucklerWidget)
        self.periods_z.setMinimum(0)
        self.periods_z.setProperty("value", 1)
        self.periods_z.setObjectName("periods_z")
        self.horizontalLayout_3.addWidget(self.periods_z)
        self.formLayout.setLayout(2, QtWidgets.QFormLayout.FieldRole, self.horizontalLayout_3)
        self.verticalLayout.addLayout(self.formLayout)
        self.horizontalLayout_4 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_4.setObjectName("horizontalLayout_4")
        self.preview_button = QtWidgets.QPushButton(BucklerWidget)
        self.preview_button.setObjectName("preview_button")
        self.horizontalLayout_4.addWidget(self.preview_button)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_4.addItem(spacerItem)
        self.apply_button = QtWidgets.QPushButton(BucklerWidget)
        self.apply_button.setObjectName("apply_button")
        self.horizontalLayout_4.addWidget(self.apply_button)
        self.verticalLayout.addLayout(self.horizontalLayout_4)

        self.retranslateUi(BucklerWidget)
        QtCore.QMetaObject.connectSlotsByName(BucklerWidget)

    def retranslateUi(self, BucklerWidget):
        _translate = QtCore.QCoreApplication.translate
        BucklerWidget.setWindowTitle(_translate("BucklerWidget", "Dialog"))
        self.fractional_label.setHtml(_translate("BucklerWidget", "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0//EN\" \"http://www.w3.org/TR/REC-html40/strict.dtd\">\n"
"<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
"p, li { white-space: pre-wrap; }\n"
"</style></head><body style=\" font-weight:400; font-style:normal;\">\n"
"<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">Apply a <span style=\" font-weight:600;\">buckling</span> by modulating (sinus-shape) the <span style=\" font-weight:600;\">X</span>-coordinate of an initially flat structure, like graphene. The <span style=\" font-weight:600;\">non-buckling zone</span> specifies a distance from the edges of the system in the Z direction which are left unmodified (to maintain periodicity). Use a <span style=\" font-weight:600;\">periodity</span> of 0 to disable buckling in a particular direction.</p></body></html>"))
        self.xlabel.setText(_translate("BucklerWidget", "Buckling amplitude"))
        self.amplitude.setSuffix(_translate("BucklerWidget", " Å"))
        self.ylabel.setText(_translate("BucklerWidget", "Non-buckling zone"))
        self.nonbucklingzone.setSuffix(_translate("BucklerWidget", " Å"))
        self.label.setText(_translate("BucklerWidget", "Periodicity"))
        self.periods_y.setToolTip(_translate("BucklerWidget", "Number of periods for the periodic buckling in the Y direction"))
        self.periods_y.setPrefix(_translate("BucklerWidget", "NY="))
        self.periods_z.setToolTip(_translate("BucklerWidget", "Number of periods for the periodic buckling in the Z direction"))
        self.periods_z.setPrefix(_translate("BucklerWidget", "NZ="))
        self.preview_button.setText(_translate("BucklerWidget", "Preview"))
        self.apply_button.setToolTip(_translate("BucklerWidget", "Click to perform the center operation."))
        self.apply_button.setText(_translate("BucklerWidget", "Apply"))


from NL.GUI.UI.CustomWidgets.Widgets.WordWrapLabel import WordWrapLabel
class BucklerWidget(QtWidgets.QDialog, Ui_BucklerWidget):
    def __init__(self, parent=None, f=QtCore.Qt.WindowFlags()):
        QtWidgets.QDialog.__init__(self, parent, f)

        self.setupUi(self)